--
-- PostgreSQL database dump
--

SET client_encoding = 'UNICODE';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: %DBNAME%; Type: DATABASE; Schema: -; Owner: %DBUSER%
--

CREATE DATABASE %DBNAME% WITH TEMPLATE = template0 ENCODING = 'UNICODE';


ALTER DATABASE %DBNAME% OWNER TO %DBUSER%;

\connect %DBNAME%

SET client_encoding = 'UNICODE';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: files; Type: TABLE; Schema: public; Owner: %DBUSER%; Tablespace: 
--

DROP TABLE files;
CREATE TABLE files (
    id bigserial NOT NULL,
    host character varying(32) NOT NULL,
    sharename character varying(32) NOT NULL,
    filename character varying(512) NOT NULL,
    filesize bigint NOT NULL,
    username character varying(16),
    "password" character varying(16),
    mtime timestamp without time zone,
    ip character varying(15)
);


ALTER TABLE public.files OWNER TO %DBUSER%;

--
-- Name: files_id_seq; Type: SEQUENCE SET; Schema: public; Owner: %DBUSER%
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('files', 'id'), 1, false);


--
-- Name: files_pkey; Type: CONSTRAINT; Schema: public; Owner: %DBUSER%; Tablespace: 
--

ALTER TABLE ONLY files
    ADD CONSTRAINT files_pkey PRIMARY KEY (host, filename);


ALTER INDEX public.files_pkey OWNER TO %DBUSER%;

--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

