/*
	SambaScanner - A tool to scan Samba networks for files.
	Copyright (C) 2005-2007 Johannes Bauer
	
	This file is part of SambaScanner.

    SambaScanner is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; this program is ONLY licensed under
	version 2 of the License, later versions are explicitly excluded.

    SambaScanner is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SambaScanner; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Johannes Bauer
	Mussinanstr. 140
	92318 Neumarkt/Opf.
	JohannesBauer@gmx.de
*/

#ifndef __HOSTLIST_H__
#define __HOSTLIST_H__

#include <pthread.h>

#include "IP_Range.h"
#include "String.h"

typedef struct HostList {
	StringList Hostnames;
	int IP_Entries;
	ipv4addr_t *IP_Entry;
	pthread_mutex_t Mutex;
} HostList;

void Init_HostList(HostList *List);
void Destroy_HostList(HostList *List);
void Add_Hostname(HostList *List, const char *Hostname);
void Add_IP_Address(HostList *List, ipv4addr_t IP_Address);
void Filter_Double_Entries(HostList *List);

#endif
